import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ChatRoutingModule } from './chat-routing.module';
import { ChatComponent } from './chat.component';
import { UserListComponent } from './components/user-list/user-list.component';
import { ChatChannelComponent } from './components/chat-channel/chat-channel.component';
import { ChatDetailsComponent } from './components/chat-details/chat-details.component';
import { SharedModule } from '@shared/shared.module';

@NgModule({
  declarations: [
    ChatComponent,
    UserListComponent,
    ChatChannelComponent,
    ChatDetailsComponent,
  ],
  imports: [CommonModule, ChatRoutingModule, SharedModule],
})
export class ChatModule {}
