import { Component } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { PaymentRateComponent } from '../payment-rate/payment-rate.component';

@Component({
  selector: 'app-personal-information',
  templateUrl: './personal-information.component.html',
  styleUrls: ['./personal-information.component.scss'],
})
export class PersonalInformationComponent {
  constructor(public readonly dialog: MatDialog) {}
  onOpenPaymentRate(): void {
    let dialogRef;
    dialogRef = this.dialog.open(PaymentRateComponent, {
      width: '70%',
    });

    dialogRef.afterClosed().subscribe((result) => {
      console.log(`Dialog result: ${result}`);
    });
  }
}
