import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ContractsRoutingModule } from './contracts-routing.module';
import { ContractsComponent } from './contracts.component';
import { ContractTypeComponent } from './contract-type/contract-type.component';
import { SharedModule } from '@shared/shared.module';
import { ContractorContractTypeComponent } from './contractor-contract-type/contractor-contract-type.component';
import { PersonalInformationComponent } from './components/fixed-rate-forms/personal-information/personal-information.component';
import { PaymentRateComponent } from './components/fixed-rate-forms/payment-rate/payment-rate.component';
import { PaymentDateComponent } from './components/fixed-rate-forms/payment-date/payment-date.component';
import { OtherInformationComponent } from './components/fixed-rate-forms/other-information/other-information.component';
import { ContractCompilianceComponent } from './components/fixed-rate-forms/contract-compiliance/contract-compiliance.component';

@NgModule({
  declarations: [ContractsComponent, ContractTypeComponent, ContractorContractTypeComponent, PersonalInformationComponent, PaymentRateComponent, PaymentDateComponent, OtherInformationComponent, ContractCompilianceComponent],
  imports: [CommonModule, ContractsRoutingModule, SharedModule],
})
export class ContractsModule {}
